Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IVerticalRulerInfoExtension

All Known Subinterfaces:
  IChangeRulerColumn, IRevisionRulerColumn

All Known Implementing Classes:
  AbstractRulerColumn, AnnotationColumn, AnnotationRulerColumn, ChangeRulerColumn, CompositeRuler, LineNumberChangeRulerColumn

    public interface IVerticalRulerInfoExtension

Extension interface for `IVerticalRulerInfo`.

Introduces the ability to define a custom hover to be used when hovering over the vertical ruler described by this info instance, and to specify the annotation model used by it.

It also allows client to register as listeners on the represented vertical ruler and sends out notifications similar to selection events such as that a particular annotation presented in the vertical ruler has been selected.

Since:
  3.0
See Also:
  `IVerticalRuler`, `IAnnotationModel`

Method Summary
`void` `addVerticalRulerListener(IVerticalRulerListener listener)` Registers a vertical ruler listener to be informed if an annotation gets selected on the vertical ruler.
`IAnnotationHover` `getHover()` Returns the hover for this vertical ruler (column).
`IAnnotationModel` `getModel()` Returns the model currently used by the receiver.
`void` `removeVerticalRulerListener(IVerticalRulerListener listener)` Removes a previously registered listener.

Method Detail

### getHover

    IAnnotationHover getHover()

  Returns the hover for this vertical ruler (column).

  Returns:
    the hover for this column

### getModel

    IAnnotationModel getModel()

  Returns the model currently used by the receiver.

  Returns:
    the model of the receiver, or `null` if no model is installed.

### addVerticalRulerListener

    void addVerticalRulerListener(IVerticalRulerListener listener)

  Registers a vertical ruler listener to be informed if an annotation gets selected on the vertical ruler.

  Parameters:
    `listener` - the listener to be informed

### removeVerticalRulerListener

    void removeVerticalRulerListener(IVerticalRulerListener listener)

  Removes a previously registered listener. If `listener` is not registered with the receiver, calling this method has no effect.

  Parameters:
    `listener` - the listener to be removed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.